Bug 206599 - [te_IN] - Some of the Priority - C GSUB Conjuncts are not appearing with its actual shape
[te_IN] - Some of the Priority - C GSUB Conjuncts are not appearing with its ...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: fonts-indic (Show other bugs)
rawhide
All Linux
medium Severity low
: ---
: ---
Assigned To: Parag Nemade
: i18n
Depends On:
Blocks: 217340
  Show dependency treegraph
 
Reported: 2006-09-15 03:18 EDT by Satyabrata Maitra
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: fonts-telugu-2.0.10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-04 00:30:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fixed Font file (152.51 KB, application/x-font-ttf)
2006-12-06 02:19 EST, Parag Nemade
no flags Details

  None (edit)
Description Satyabrata Maitra 2006-09-15 03:18:38 EDT
Description of problem: Some of the Conjuncts which is used in ancient scripts,
is not showing the right shape when they combine. those are as follows :

List of Combinations whose shape is wrongly showing :

U+0C15 U+0C4D U+0C30
U+0C24 U+0C4D U+0C31
U+0C2F U+0C4D U+0C31
U+0C32 U+0C4D U+0C31
U+0C35 U+0C4D U+0C31

List of combinations whose glyph info are showing wrong in fontforge  :
(these combinations are appearing properly in gedit, only glyph infi is wrong in
fonrforge). 

U+0C38 U+0C4D U+0C24 U+0C4D U+0C30 U+0C40
U+0C37 U+0C4D U+0C1F U+0C4D U+0C30
U+0C15 U+0C4D U+0C37 U+0C4D U+0C2E
U+0C15 U+0C4D U+0C37 U+0C4D U+0C2E U+0C3F


Version-Release number of selected component (if applicable):
fonts-telugu-2.0.1-1
pango-1.14.3-1.fc6

How reproducible:
Always

Steps to Reproduce:
1. Open gedit
2. Activate SCIM with CTRL+SPACE.
3. Select RAWCODE from the scim-table in Others
4. Type the unicode sequentially as given in the 1st comment but without 'U' and 
   '+'.
5. Observe the result.
  
Actual results:
Shapes, appearing is not correct. And some glyph info is showing wrong in Fontforge.

Expected results:
Shape should be correctly appearing. And glyph info should be correctly written
in the Fontforge.
Additional info:
Comment 1 Rahul Bhalerao 2006-10-31 05:43:25 EST
Aman,

This bug appears to be fixed in pango-1.15 and fonts-telugu-2.0.6-1.
Can you please confirm the same? patches on pango and priority-A bug of telugu
has  mostly resolved these issues as well. Please piont out if anything is
missed out.
Comment 3 Parag Nemade 2006-12-06 02:19:12 EST
Created attachment 142924 [details]
Fixed Font file
Comment 4 Parag Nemade 2006-12-06 05:40:29 EST
Kindly test fix against fonts-indic-2.0.10 package

Note You need to log in before you can comment on or make changes to this bug.